Installer PHP

Plesk prend en charge dès l'installation de multiples versions de PHP et types de gestionnaires. Dans ce chapitre, vous découvrirez comment installer PHP sur le serveur en tant qu'administrateur de Plesk.

Installer et désinstaller PHP

Pour installer ou supprimer une version spécifique de PHP du serveur, suivez ces étapes :

  1. Allez dans Outils & Paramètres > Mises à jour et à niveau. Ensuite, cliquez sur l'onglet Ajouter ou supprimer des composants.
    • (Plesk pour Linux) Cliquez sur la flèche pour développer la rubrique Web hosting et la sous-rubrique PHP interpreter versions.
    • (Plesk pour Windows) Cliquez sur la flèche pour développer la rubrique Plesk hosting features.
  2. Dans cette liste, les versions de PHP installées actuellement sont indiquées avec une icône verte (coche). Les versions qui ne sont pas installées sont indiquées avec une icône rouge (croix). Pour sélectionner les versions que vous voulez installer, cliquez sur l'icône correspondante, puis sur Install. Pour sélectionner les versions que vous voulez supprimer, cliquez sur l'icône correspondante, puis sur Remove. Sur la capture d'écran ci-dessous, PHP 7.1 est marquée comme version à installer et PHP 5.6 comme version à supprimer.

  3. Cliquez sur Continue pour installer/supprimer les versions de PHP sélectionnées.

Lorsqu'une version de PHP est installée, Plesk configure automatiquement les types de gestionnaires PHP standard (CGI, FastCGI, PHP-FPM) pour cette version.

Remarque : sur les anciens systèmes d'exploitation, comme CentOS 6.x, vous devez installer le composant PHP-FPM support from OS vendor afin de pouvoir utiliser le gestionnaire PHP-FPM. Vous trouverez ce composant dans l'onglet Ajouter/Supprimer des composants, dans la section Web hosting > Nginx web server and reverse proxy server.

Vous pouvez activer ou désactiver certains types de gestionnaires pour vos clients, et ce, pour chaque version de PHP installée sur le serveur (p. ex., vous pouvez autoriser les clients à utiliser FastCGI et PHP-FPM avec PHP 7.1, mais uniquement PHP-FPM avec PHP 5.6). Vous pouvez également configurer les paramètres PHP individuellement pou chaque version de PHP.

 

Leave your feedback on this topic here

If you have questions or need support, please visit the Plesk forum or contact your hosting provider.
The comments below are for feedback on the documentation only. No timely answers or help will be provided.